Bug 448505 - python-virtinst indirectly depends on gtk2
python-virtinst indirectly depends on gtk2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.4
All Linux
high Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On: 387971
Blocks: 449772
  Show dependency treegraph
 
Reported: 2008-05-27 06:25 EDT by Adam Stokes
Modified: 2010-10-22 21:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:04:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2008-05-27 06:25:15 EDT
+++ This bug was initially created as a clone of Bug #387971 +++

Description of problem:

Installing xen with python-virtinst pulls gtk and X.org packages

Version-Release number of selected component (if applicable):
0.300.1-3.fc8

How reproducible:


Steps to Reproduce:
1. Just upgrade f7 to f8, python-virtinst will pull unnecessary X.org packages 
2.
3.
  
Actual results:


Expected results:


Additional info:
python-virtinst depends on virt-viewer, which is a gtk2 app, so installing it
will pull gtk2 and X.org packages. But it's only required if managing guests
through VNC. So vnc_console method in /usr/bin/virt-install should return an
error if virt-viewer not found and the package should not require it.

-- Additional comment from jval@wippies.com on 2008-01-29 03:05 EST --
Actually this happens now when you run yum update/upgrade on F7. So F7 is also
affected.

python-virtinst-0.200.0-4.fc7 does not require virt-viewer, but
python-virtinst-0.300.2-1.fc7 does.

The suggestion above sounds like the right way to fix this. Please remove the
virt-viewer requirement and update the packages in rawhide, 8 and 7. Thank you. :)

-- Additional comment from berrange@redhat.com on 2008-01-31 12:23 EST --
For F9 we've decide to make use of the 'comps.xml'  file to ensure virt-viewer
is in the default install set for anyone selecting Virtualization. This means we
don't need an explicit dependancy anymore.  I'll also remove the dep from F7/8 -
people will just have to install it manually for F7/8 if they want auto-console.
This should allow  non-X  based installs with python-virtinst

-- Additional comment from updates@fedoraproject.org on 2008-02-01 20:18 EST --
python-virtinst-0.300.2-3.fc8 has been pushed to the Fedora 8 testing
repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtinst'.  You can
provide feedback for this update here:
http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1196

-- Additional comment from jval@wippies.com on 2008-02-02 20:10 EST --
From the F7 updates-testing repository:

Updated: python-virtinst - 0.300.2-2.fc7.noarch

Now yum update/upgrade on F7 is ok again.

-- Additional comment from updates@fedoraproject.org on 2008-02-13 00:09 EST --
python-virtinst-0.300.2-3.fc8 has been pushed to the Fedora 8 stable repository.
 If problems still persist, please make note of it in this bug report.

----
Comment 4 RHEL Product and Program Management 2008-06-06 09:13:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Cole Robinson 2008-09-14 20:04:50 EDT
Okay, fix is in python-virtinst-0.300.2-9.el5. Setting to MODIFIED.
Comment 10 errata-xmlrpc 2009-01-20 16:04:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0216.html

Note You need to log in before you can comment on or make changes to this bug.